	
/******************** begin subhelp.js **************************/

	/*
	 * subhelp.js
	 *
	 * Find out what help page to load for the user when they want to find
	 * out more information about the page they are on.
	 *
	 * PARAMETERS
	 * UserRole:	The current role of the user.
	 * helpID:		Integer value corresponding to a page to a help page to load.
	 *
	 */

/*
 * IBM and/or HCL Confidential
 * (C) Copyright IBM Corp. 2020.  All Rights Reserved.
 * (C) Copyright HCL Technologies Ltd. 2023.  All Rights Reserved.
 *
 *  The source code for this program is not published or otherwise
 *  divested of its trade secrets, irrespective of what has been
 *  deposited with the U.S. Copyright Office.
 */
 
var helpWin = null;
		
	function isValid(url)
	{
		if ((url).match(/^(http[s]?):.*/) == null)
		{
		  return false;								
		}
		
		return true;
	}
	
	function openHelp(UserRole, helpID)
	{
		// allow the omission of UserRole
		if (arguments.length == 1)
		{
			helpID = arguments[0];
		}
		
		var helpPage;
		var helpUrl = "<!-- WSLET CODE=PTAdmin --><!-- PARAM NAME=SERVLET_PATH VALUE=CHANGE_HELP_SERVER_URL --><!-- /WSLET -->";
		var locale = "lang="+"<!-- WSLET CODE=PTAdmin --><!-- PARAM NAME=LOCALE --><!-- /WSLET -->";
		if(isValid(helpUrl))
		{
		
		 switch(helpID)
		 {
			case 1: //query
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=change-working-queries";
			}
			break;
			case 2: //reports
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=change-working-reports";
			}
			break;
			case 3: //show
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=requests-showing-modifying-change";
			}
			break;
			case 4: //submit
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=requests-submitting-change";
			}
			break;
			case 5: //transition
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=requests-transitioning-change";
			}
			break;
			case 6: //gettingstarted4
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=change-setting-user-properties";
			}
			break;
			case 14: //create_attach
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=requests-creating-attachments-associated-change";
			}
			break;
			case 15: //settings2
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=properties-setting-attribute-values-submission-forms";
			}
			break;
			case 17: //create task
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=requests-creating-tasks-associated-change";
			}
			break;
			case 18: //show_task
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=tasks-showing";
			}
			break;
			case 19: //getting started5
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=properties-setting-general-preferences";
			}
			break;
			case 20: //life_cycle
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=change-managing-request-processes";
			}
			break;
			case 21: //crprocess_file
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=change-managing-request-processes";
			}
			break;
			case 22: //gen_admin_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=panel-system-administration-dialog-box";
			}
			break;
			case 23://user_admin_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=panel-user-management-dialog-box";
			}
			break;
			case 24: //listboxes_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=panel-system-administration-dialog-box#ch_r_po_admin_tabs__listbox";
			}
			break;
			case 25: //cspackage_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=packages-creating-package-templates";
			}
			break;
			case 26:// debug_tab (not used)
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=change-controlling-debugging-feature-managing-log-file";
			}
			break;
			case 27://search
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=search-tips";
			}
			break;
			case 28: //server_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=panel-system-administration-dialog-box";
			}
			break;
			case 30: //build_reports2
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=change-building-reports";
			}
			break;
			case 31: //build_reports
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=change-building-reports";
			}
			break;
			case 32: //groups_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=panel-user-management-dialog-box";
			}
			break;
			case 33: //acls_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=panel-user-management-dialog-box";
			}
			break;
			case 34: //home_page
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=pages-creating-home";
			}
			break;
			case 35: //man_browse_user
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=queries-adding-home-pages";
			}
			break;
			case 36: //set_def_hp_user
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=users-setting-default-home-pages";
			}
			break;
			case 37: //home_page_def
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=pages-editing-home";
			}
			break;
			case 38: //man_def_browse
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=queries-sharing";
			}
			break;
			case 39: //assign_def_hp
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=users-assigning-home-pages";
			}
			break;
			case 40: //assign_def_browse
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=users-assigning-shared-queries";
			}
			break;
			case 41: //search_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=panel-system-administration-dialog-box";
			}
			break;
			case 42: //ghost_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=panel-system-administration-dialog-box#ch_r_po_admin_tabs__ghost";
			}
			break;
			case 43: //Integretion_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=panel-system-administration-dialog-box#ch_r_po_admin_tabs__integrations";
			}
			break;
			case 44: //Project_Security_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=panel-user-management-dialog-box";
			}
			break;
			case "new":
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=change-rational-v53-readme";
			}
			break;
			case "getting-started-users":
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=help-getting-started-in-product";
			}
			break;
			case "getting-started-admin":
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=change-starting-admin-sessions";
			}
			break;
			case "browsers":
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=overview-supported-browsers";				
			}
			break;
			case "cookie-policy":
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=change-cookie-policy";
			}
			break;
			case "search-tips":
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=search-tips";
			}
			break;
			case "set-up": // (not used)
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=administering-rational-change";
			}
			break;
			case "oslc":
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=change-using-oslc-cm-rest-api";
			}
			break;
			case "manage-folder-security":
			{				
				helpPage = helpUrl + "?"+ locale +"&" + "topic=properties-granting-denying-folder-access";
			}
			break;
						
			default:
			{
				helpPage = helpUrl + "?"+ locale;
			}
			break;
		 }
		 	
		}
		else
		{
			helpPage = "<!-- WSLET CODE=PTAdmin --><!-- PARAM NAME=SERVLET_PATH VALUE=TRAPEZE_PATH --><!-- /WSLET -->"+ "helpserver_error.html";
		}
		
		helpWin = window.open(helpPage, 'WWHFrame', '<!-- WSLET CODE=PTAdmin --><!-- PARAM NAME=USER_WINDOW_OPTIONS --><!-- /WSLET -->');
		helpWin.focus();
		// To see what you are going to open
		//helpPage += "changesynergy.html";
	}
	
	function openautoHelp(Url)
	{
		helpWin = window.open(Url, 'WWHFrame', '<!-- WSLET CODE=PTAdmin --><!-- PARAM NAME=USER_WINDOW_OPTIONS --><!-- /WSLET -->');
		helpWin.focus();
	}

	function openApiHelp()
	{
		var url = "<!-- WSLET CODE=PTAdmin --><!-- PARAM NAME=SERVLET_PATH VALUE=TRAPEZE_PATH --><!-- /WSLET -->help/perl_api/index.html";
		var w = window.open(url, "PerlApi", "<!-- WSLET CODE=PTAdmin --><!-- PARAM NAME=USER_WINDOW_OPTIONS --><!-- /WSLET -->");
		w.focus();
	}
	
/******************** end subhelp.js **************************/
